<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: データフィールド</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li class="current"><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>全て</span></a></li>
      <li class="current"><a href="globals_func.html"><span>関数</span></a></li>
      <li><a href="globals_vars.html"><span>変数</span></a></li>
      <li><a href="globals_type.html"><span>型定義</span></a></li>
      <li><a href="globals_enum.html"><span>列挙型</span></a></li>
      <li><a href="globals_eval.html"><span>列挙型の値</span></a></li>
      <li><a href="globals_defs.html"><span>マクロ定義</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals_func.html#index_1"><span>1</span></a></li>
      <li class="current"><a href="globals_func_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_func_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_func_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_func_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_func_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_func_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_func_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_func_0x74.html#index_t"><span>t</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>mchar_decode()
: <a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">charset.c</a>
</li>
<li>mchar_define_charset()
: <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">charset.c</a>
, <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">m17n.h</a>
</li>
<li>mchar_define_property()
: <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">character.c</a>
</li>
<li>mchar_encode()
: <a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">charset.c</a>
, <a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">m17n.h</a>
</li>
<li>mchar_get_prop()
: <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">character.c</a>
</li>
<li>mchar_get_prop_table()
: <a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">character.c</a>
</li>
<li>mchar_list_charset()
: <a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">charset.c</a>
</li>
<li>mchar_map_charset()
: <a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">charset.c</a>
, <a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">m17n.h</a>
</li>
<li>mchar_put_prop()
: <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">character.c</a>
</li>
<li>mchar_resolve_charset()
: <a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">charset.c</a>
</li>
<li>mchartable()
: <a class="el" href="group__m17nChartable.html#gad75c06739d6144b32fee4a85f530e339">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#gad75c06739d6144b32fee4a85f530e339">chartab.c</a>
</li>
<li>mchartable_lookup()
: <a class="el" href="group__m17nChartable.html#ga9f80ddddf110d65848c0156092da3a38">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga9f80ddddf110d65848c0156092da3a38">chartab.c</a>
</li>
<li>mchartable_map()
: <a class="el" href="group__m17nChartable.html#ga802f22afa9b94c76821288bd50b2bb42">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga802f22afa9b94c76821288bd50b2bb42">chartab.c</a>
</li>
<li>mchartable_max_char()
: <a class="el" href="group__m17nChartable.html#ga8a6c1856bff9f9d60f4ba419ab7ad741">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga8a6c1856bff9f9d60f4ba419ab7ad741">chartab.c</a>
</li>
<li>mchartable_min_char()
: <a class="el" href="group__m17nChartable.html#gabafef4ff85d483449fd8d3d2d4121f0b">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#gabafef4ff85d483449fd8d3d2d4121f0b">chartab.c</a>
</li>
<li>mchartable_range()
: <a class="el" href="group__m17nChartable.html#ga4cadbd2cae1d2888caf587242b3d0cb3">chartab.c</a>
, <a class="el" href="group__m17nChartable.html#ga4cadbd2cae1d2888caf587242b3d0cb3">m17n-core.h</a>
</li>
<li>mchartable_set()
: <a class="el" href="group__m17nChartable.html#ga398b6ad047423d8846c765d4fe94acd0">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga398b6ad047423d8846c765d4fe94acd0">chartab.c</a>
</li>
<li>mchartable_set_range()
: <a class="el" href="group__m17nChartable.html#ga336b039ca5e3a08513edfcfd7dca8197">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga336b039ca5e3a08513edfcfd7dca8197">chartab.c</a>
</li>
<li>mconv_buffer_converter()
: <a class="el" href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d">coding.c</a>
</li>
<li>mconv_decode()
: <a class="el" href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa">coding.c</a>
</li>
<li>mconv_decode_buffer()
: <a class="el" href="group__m17nConv.html#gae6788541ef64489abc36388554566235">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gae6788541ef64489abc36388554566235">coding.c</a>
</li>
<li>mconv_decode_stream()
: <a class="el" href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a">coding.c</a>
</li>
<li>mconv_define_coding()
: <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c">coding.c</a>
</li>
<li>mconv_encode()
: <a class="el" href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad">coding.c</a>
</li>
<li>mconv_encode_buffer()
: <a class="el" href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b">coding.c</a>
</li>
<li>mconv_encode_range()
: <a class="el" href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c">m17n.h</a>
</li>
<li>mconv_encode_stream()
: <a class="el" href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b">coding.c</a>
</li>
<li>mconv_free_converter()
: <a class="el" href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf">coding.c</a>
</li>
<li>mconv_getc()
: <a class="el" href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563">coding.c</a>
</li>
<li>mconv_gets()
: <a class="el" href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173">coding.c</a>
</li>
<li>mconv_list_codings()
: <a class="el" href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b">coding.c</a>
</li>
<li>mconv_putc()
: <a class="el" href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3">m17n.h</a>
</li>
<li>mconv_rebind_buffer()
: <a class="el" href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de">coding.c</a>
</li>
<li>mconv_rebind_stream()
: <a class="el" href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8">coding.c</a>
, <a class="el" href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8">m17n.h</a>
</li>
<li>mconv_reset_converter()
: <a class="el" href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e">coding.c</a>
</li>
<li>mconv_resolve_coding()
: <a class="el" href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be">m17n.h</a>
</li>
<li>mconv_stream_converter()
: <a class="el" href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85">coding.c</a>
</li>
<li>mconv_ungetc()
: <a class="el" href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757">coding.c</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
